Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleHintReturn

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleHintReturn

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QStyleHintReturnMask, QStyleHintReturnVariant

    public class QStyleHintReturn

extends QtJambiObject

The `QStyleHintReturn` class provides style hints that return more than basic data types. `QStyleHintReturn` and its subclasses are used to pass information from a style back to the querying widget. This is most useful when the return value from `QStyle::styleHint()` does not provide enough detail; for example, when a mask is to be returned.

Nested Class Summary
`static class` | `QStyleHintReturn.HintReturnType`
`static class` | `QStyleHintReturn.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleHintReturn.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QStyleHintReturn()` Constructs a `QStyleHintReturn` with version `version` and type `type`.
`QStyleHintReturn(int version)` Constructs a `QStyleHintReturn` with version `version` and type `type`.
`QStyleHintReturn(int version, int type)` Constructs a `QStyleHintReturn` with version `version` and type `type`.

Method Summary
`static QStyleHintReturn` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QStyleHintReturn instance pointed to by `nativePointer`.
`void` | `setType(int type)` This variable holds the type of the style hint container.
`void` | `setVersion(int version)` This variable holds the version of the style hint return container.
`int` | `type()` This variable holds the type of the style hint container.
`int` | `version()` This variable holds the version of the style hint return container.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleHintReturn

    public QStyleHintReturn(int version)

  Constructs a `QStyleHintReturn` with version `version` and type `type`.

  The version has no special meaning for `QStyleHintReturn`; it can be used by subclasses to distinguish between different version of the same hint type.

See also:
  QStyleOption::version, and QStyleOption::type.

### QStyleHintReturn

    public QStyleHintReturn()

  Constructs a `QStyleHintReturn` with version `version` and type `type`.

  The version has no special meaning for `QStyleHintReturn`; it can be used by subclasses to distinguish between different version of the same hint type.

See also:
  QStyleOption::version, and QStyleOption::type.

### QStyleHintReturn

    public QStyleHintReturn(int version,
                            int type)

  Constructs a `QStyleHintReturn` with version `version` and type `type`.

  The version has no special meaning for `QStyleHintReturn`; it can be used by subclasses to distinguish between different version of the same hint type.

See also:
  QStyleOption::version, and QStyleOption::type.

Method Detail

### setVersion

    public final void setVersion(int version)

  This variable holds the version of the style hint return container. This value can be used by subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast<T>(), you normally don't need to check it.

### version

    public final int version()

  This variable holds the version of the style hint return container. This value can be used by subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast<T>(), you normally don't need to check it.

### setType

    public final void setType(int type)

  This variable holds the type of the style hint container.

See also:
  `HintReturnType` .

### type

    public final int type()

  This variable holds the type of the style hint container.

See also:
  `HintReturnType` .

### fromNativePointer

    public static QStyleHintReturn fromNativePointer(QNativePointer nativePointer)

  This method returns the QStyleHintReturn instance pointed to by `nativePointer`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD